Open Inventory / Docs
EndpunkteSpatial roomsSpatial structures

Create a building or other multi-room structure

Die API läuft auf deiner Anwendungsinstanz. Schemas und Feldnamen stammen unverändert aus der OpenAPI-Spezifikation. Browsergebundene Aufrufe benötigen eine Sitzung auf der Instanz.

POST
/spatial-structures

Requires write scope. A structure may also be created atomically by the first grouped room-scan upload.

Authentifizierung

bearerAuth
headerAuthentifizierungBearer <inv_ token>

Header-Parameter

X-Organization-ID?string

Organization membership selected for this request. User-bound credentials may select any active membership; standalone tokens may only repeat their pinned organization ID.

Formatuuid

Anfrageinhalt

application/json
  1. body
id?string
Formatuuid
name*string
Länge1 <= length <= 240
description?string
Längelength <= 10000
Standard""
georeference?|null

Antwortinhalt

Structure created

Beispielanfrage
curl -X POST 'https://inventory.example.com/api/v1/spatial-structures' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Beispielantwort
Leer